import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TapdReviewInfo } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-18 14:29
 */
interface TapdReviewInfoCU extends ConditionUtil<TapdReviewInfoCU> {
    ID: FieldUtil<TapdReviewInfoCU>;
    TAPD_ID: FieldUtil<TapdReviewInfoCU>;
    BUSINESS_GROUP: FieldUtil<TapdReviewInfoCU>;
    CREATE_TIME: FieldUtil<TapdReviewInfoCU>;
    UPDATE_TIME: FieldUtil<TapdReviewInfoCU>;
}
declare class TapdReviewInfoMU extends TableUtilImpl<TapdReviewInfoCU, TapdReviewInfo> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TapdReviewInfoCU;
    static get ID(): FieldUtil<TapdReviewInfoCU>;
    static get TAPD_ID(): FieldUtil<TapdReviewInfoCU>;
    static get BUSINESS_GROUP(): FieldUtil<TapdReviewInfoCU>;
    static get CREATE_TIME(): FieldUtil<TapdReviewInfoCU>;
    static get UPDATE_TIME(): FieldUtil<TapdReviewInfoCU>;
    get ID(): FieldUtil<TapdReviewInfoCU>;
    get TAPD_ID(): FieldUtil<TapdReviewInfoCU>;
    get BUSINESS_GROUP(): FieldUtil<TapdReviewInfoCU>;
    get CREATE_TIME(): FieldUtil<TapdReviewInfoCU>;
    get UPDATE_TIME(): FieldUtil<TapdReviewInfoCU>;
}
export { TapdReviewInfoMU, TapdReviewInfoCU };
